Name: ruby-doc-extra
Version: 0.1
Release: alt2
Summary: A set of extra documentation for Ruby langauge
Source0: ProgrammingRuby-cvs.tar.bz2
Source1: http://www.rubycentral.com/faq/rubyfaq_a4.pdf
Source2: http://www.approximity.com/euruko03/slides/tobias/peters.pdf
Source3: http://www.approximity.com/euruko03/slides/hal/rubyesque.tar.gz
Source4: http://www.rubycentral.com/downloads/files/ProgrammingRuby-0.3a.tar.bz2
Source5: pruby-permission.txt
Patch0: ProgrammingRuby-1.8.1.patch.bz2
License: Distributable
Group: Development/Ruby
BuildArch: noarch
AutoReq: no

BuildRequires: tetex, tetex-latex, tetex-dvips, urw-fonts, ruby, libruby-devel, ruby-stdlibs-tk, groff-base, ghostscript-utils

%description
This package provides a set of extra documentation for the Ruby langauge.
Among other components it includes:
 - Ruby FAQ
 - "Programming Ruby" by Andy Hunt and David Thomas in HTML and PDF
 - Various talks from Ruby conferences across the world
Install this documentation package if you want to know more about Ruby

# {expand:%%global _builddir %_builddir/%name-%version}
%prep
%setup -q -c -T -b 0
pushd ProgrammingRuby
%patch -p1
popd
mkdir extra
pushd extra
# Install third-party documentation
%__cp %SOURCE1 .
%__mkdir_p euruko03
%__cp %SOURCE2 euruko03/GarbageCollectionInExtensions.pdf
tar xzf %SOURCE3 -C euruko03
tar xjf %SOURCE4 
popd
%__cp %SOURCE5 .

%build
pushd ProgrammingRuby/latex
make book.ps
ps2pdf book.ps ../../ProgrammingRuby.pdf
popd

%files
%doc ProgrammingRuby.pdf pruby-permission.txt extra/*

%changelog
* Wed Mar 24 2004 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt2
- Got permission from Dave Thomas for building book from TeX sources.

* Sat Sep 27 2003 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt1
- Initial release, moved extra documentation to this package from ruby-doc



